package cn.pluss.platform.vo;

import cn.pluss.platform.entity.MerchantOrderSplitDetail;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * TODO
 * 分账详情参数封装
 * @author crystal
 * @date 2022/7/14 10:10
 */
@Data
@NoArgsConstructor
public class SplitOrderDetailVo implements Serializable {

    private String merchantCode;

    private String merchantName;

    private String finalAmt;

    public SplitOrderDetailVo(MerchantOrderSplitDetail detail) {
        this.setMerchantCode(detail.getMerchantCode());
        this.setMerchantName(detail.getMerchantName());
        this.setFinalAmt(detail.getFinalAmt().toString());
    }
}
